Subject: Linux-Activists Digest #262
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sat, 25 Sep 93 17:13:08 EDT

Linux-Activists Digest #262, Volume #6           Sat, 25 Sep 93 17:13:08 EDT

Contents:
  Re: Fourport support for (Mark A. Horton)
  Re: 3 Problems with Linux. Please Help! (Mark A. Horton)
  Re: LINUX NEWBIE, NEED INFO (Mark A. Horton)
  PC for linux (TODOROV Krassimir)
  Re: lpd won't run (manuel Toledo-Quinones)
  Cheap 4port/1IRQ serial card! (Mark A. Horton)
  Linux and CAP (Edwin Ramirez)
  Re: NetBSD, FreeBSD or Linux on IBM AMBRA platform? (Marc WANDSCHNEIDER)
  Re: WordProcessor (~=TEX) for Linux (Jim Graham)

----------------------------------------------------------------------------

From: [email-masked] (Mark A. Horton)
Subject: Re: Fourport support for
Date: 25 Sep 1993 09:06:57 -0700

John Will ([email-masked]) wrote:
: J > MODEL DESCRIPTION   LIST PRICE
: J > I/O4 Non-intelligent, 4-port card $ 300
: J >
: J >These boards use 16C450 UARTs, which aren't socketed. We have a few of these
: J >in stock here in the US office. I don't know if the other Specialix offices
: J >have stock at the moment.

: Some deal!  You can have an 8 port Digiboard with socketed UARTs for $410
: from Programmer's Paradise, and I'm sure better deals can be had.  Without
: socketed UARTs, that's a major ripoff.

: J >Initially, contact me here ([email-masked]) for information.

: I hope you don't actually think you're offering a service here...

        The STB 4-Com card offers a nice inexpensive solution, also.    
        Peace, gentlemen
        - mark
--
================================================================================
Mark A. Horton                  |  Email: [email-masked] (soon) 
  Mark Horton Associates        |  Voice: +1 (404) 371 0291 (office)
    Strategic Planning          |    Fax: +1 (404) 371 0291 (office)
    Performance Tuning          |   Data: +1 (404) 378 7046 (Linux bbs)
"The opinions expressed here    |  Snail: P.O.Box 747, Decatur, GA US 30031-0747
DO represent those of myself."  |   ICBM: 33 45 N / 084 16 W
                                | Cruise: 33 45 30 N / 084 16 50 W
================================================================================
        "We may note that, for the purposes of these experiments, the symbol 
        "=" has the meaning "may be confused with."
================================================================================

------------------------------

From: [email-masked] (Mark A. Horton)
Subject: Re: 3 Problems with Linux. Please Help!
Date: 25 Sep 1993 09:17:41 -0700

[email-masked] wrote:
: I have a few problems.  

: 1)
: First of all, I have .99pl12.  I notice sometimes my
: keyboard locks on boot up.  I never had this problem on .99pl11 or less.  I
: have tried to recompile the kernel with both NUMLOCK on and NUMLOCK off, but
: with the same problem.  Pressing the numlock and/or scroll lock keys does not
: toggle the lamps, so, this leads me to believe it is some kind of
: driver/initialize problem.  I have tried different keymaps, but the keymaps
: would not matter since the keyboard is not being recognized.
: This happens regardless on if I use LILO or the standard raw boot image on a
: floppy.

: 2)
: Minicom-
: The version that comes with SLS1.01 has some problems.  Pop up windows leave
: strange characters on the screen when they disappear.  The VT100 emmulation is
: not very good.  There are no linefeeds, and when I do a ^A A to turn linefeeds
: on, stuff comes out double spaced.  When I try to recompile the distribution
: for MINICOM on sunsite:/pub/linux... it compiles, but when I run it, I get a
: Segmentation Fault and it dumps the core.  Is PCOMM any better?
        Did you install it?  If so, did you remove the old one?  they
        are not necessarily in the same places - check and make sure 
        you are using the new one ... BTW - 1.4(b) is very nice - I hear
        that it's officially out as 1.4g now - either at sunsite or tsx-11.
        - mark
: 3)
: Someone mentioned this before, but I will bring it up since I think it needs
: looking into by the developers of Linux.  Compiling is very irratic.  Sometimes
: I get linker failures, sometimes I get compiler errors, but when I recompile
: even without rebooting, everything compiles correctly.  There may be something
: wrong with memory management, or the compiler itself, or maybe even a library
: entry.

: If anyone has any information on how I can remedy any of these problems, please
: write private-email.  I will definately try them and post a report when I get
: it fixed.

: -- 
: Eric Levinson
: [email-masked]            |  Home computer (UUCP)
: [email-masked]               |  Vax
: I can also be reached on my BBS system, Color Galaxy Milky Way (415) 883-0696

--
================================================================================
Mark A. Horton                  |  Email: [email-masked] (soon) 
  Mark Horton Associates        |  Voice: +1 (404) 371 0291 (office)
    Strategic Planning          |    Fax: +1 (404) 371 0291 (office)
    Performance Tuning          |   Data: +1 (404) 378 7046 (Linux bbs)
"The opinions expressed here    |  Snail: P.O.Box 747, Decatur, GA US 30031-0747
DO represent those of myself."  |   ICBM: 33 45 N / 084 16 W
                                | Cruise: 33 45 30 N / 084 16 50 W
================================================================================
        "We may note that, for the purposes of these experiments, the symbol 
        "=" has the meaning "may be confused with."
================================================================================

------------------------------

From: [email-masked] (Mark A. Horton)
Subject: Re: LINUX NEWBIE, NEED INFO
Date: 25 Sep 1993 09:22:24 -0700

Byron A Jeff ([email-masked]) wrote:
: In article <[email-masked]>,
: Steve Stasukewicz <[email-masked]> wrote:

: You can find all types of FAQ like files on sunsite.unc.edu:/pub/Linux/docs.
: I'm glad to briefly answer your questions but you'll find much more info
: than I can ever put into a single message at sunsite.

: >I'm new to this group and also to the LINUX operationg system. 
: > Can someone give a brief descritpion of the LINUX OS.

: Free UNIX clone for 386/486 class machines. Source code available. POSIX
: complient.

: >  Will it run MSDOS/WINDOWS  and/or MAC software? 
: DOS - Has an emulator (DOSEMU) runs most non protected mode programs. Not
:       read good for games.
: WINDOWS - WINE is the Linux Windows Binary Executive project. Very young
:           with no Alpha release yet
: MAC - Not that I know of.

: > If not, can I configure my MSDOS machine to have both DOS and LINUX running.

: Yes. Not at the same time of course. There are several boot loaders that
: will allow you to choose which OS to boot.

: >  What are some of it's strengths and weaknesses?  
: Strengths - many
: Free. Source available. Uses many of the common hardware devices on PC and
: a few of the not so common. XWindows. Very stable. Has TCP/IP networking and
: the shared filesystems (NFS) and printing that comes along with it. Can
: mount and manipulate MSDOS files systems.

: Weaknesses - few
: Still late Beta so changes fast. Cannot yet run Windows binaries or COFF
: files from SCO. Any others folks? Lacks a real WYSIWYG word processor but
: the DOS emulator can run WordPerfect.

: >Are there many applications (word processing, spreadsheet, utils, database
: >managers, etc) for LINUX. 

: Not really (check out doc31),yes,yes,yes,yes.

: > Because of it's name, I imagine it's similar to UNIX.  Is this correct?
: No. It is Unix.

: >  Will most UNIX programs run on LINUX? 

: Source compatible with most SYSV and BSD programs. Most things compile
: with minimal modifications.

: > Is it a developer's OS?
: Is UNIX a developers OS? GCC, GCC+ and OBJGCC are all available. There are
: Fortran and Pascal translators. It has all the typical Unix utils like
: editors, perl, and whotnot.

: > Does it support GUI?  
: Xwindows 11R5. Also MGR from Bell labs is supported.

: >If there is an FAQ that answers some of these questions, please point me in 
: >the right direction.  Thanks.
: Check the top of the posting.

: BAJ
: ---
: Another random extraction from the mental bit stream of...
: Byron A. Jeff - PhD student operating in parallel!
: Georgia Tech, Atlanta GA 30332   Internet: [email-masked]
        If I may also add - spend a (very) few bucks and get the O'Reilly
        "Unix in a Nutshell" handbook - very much worth it.
--
================================================================================
Mark A. Horton                  |  Email: [email-masked] (soon) 
  Mark Horton Associates        |  Voice: +1 (404) 371 0291 (office)
    Strategic Planning          |    Fax: +1 (404) 371 0291 (office)
    Performance Tuning          |   Data: +1 (404) 378 7046 (Linux bbs)
"The opinions expressed here    |  Snail: P.O.Box 747, Decatur, GA US 30031-0747
DO represent those of myself."  |   ICBM: 33 45 N / 084 16 W
                                | Cruise: 33 45 30 N / 084 16 50 W
================================================================================
        "We may note that, for the purposes of these experiments, the symbol 
        "=" has the meaning "may be confused with."
================================================================================

------------------------------

Crossposted-To: comp.os.linux.help.misc,comp.os.linux,comp.os.linux.admin
From: [email-masked] (TODOROV Krassimir)
Subject: PC for linux
Date: Sat, 25 Sep 1993 16:17:23 GMT

Hello, Linux Users.

I dont know if it is easy to answer to my questions,
may be it is in the FAQ-s.

What PC must I have to run linux on it?

Or maybe is-it easier to enumerate what the PC MUST NOT HAVE? Ex.:

        - less than ??? MBytes RAM, and
        - a computer ???? bus, and
        - a ???? hard disk model ?????, and
        .....

Thank you for your answers!
-- 

                                                Krassimir

 -------------------------------------------------------------------
   Krassimir TODOROV                   | Tel:   + 41 (22) 705 7635
   Centre Universitaire d'Informatique |
   Uni Dufour                          | Fax:             320 2927
   24 rue du General-Dufour            |                  705 7659
   CH-1211 Geneva 4                    |
   SWITZERLAND                         | E-mail:[email-masked]
 -------------------------------------------------------------------

------------------------------

From: [email-masked] (manuel Toledo-Quinones)
Subject: Re: lpd won't run
Date: 25 Sep 1993 18:27:41 GMT

Marko A. Jovanovic ([email-masked]) wrote:
: I had exactly the same problem due to the fact that I didn't install
: networking stuff.

:       Marko

I am having the same problem. The daemon does not work! I tryed two
versions of the printing programs: one distributed as lpr.tar.z which
apparently is an older version, then I downloaded the source code from 
net-2 (lpd-590.tar.gz). I followed the instructions in 'Printing.HOWTO'.
Directory '/var/spool/lpd' exists and all files seem to have the 
appropriate ownership. 

The only thing I don't have is the full net-2 installation. Is it
needed to use the lpd package? 

Any help will be greatly appreciated.
Thanks,
manuel

 

------------------------------

From: [email-masked] (Mark A. Horton)
Subject: Cheap 4port/1IRQ serial card!
Date: 25 Sep 93 19:16:08 GMT

Need more cheap serial ports but short on IRQs ?
This works for me:      

        How to use one IRQ with the STB 4-COM card:

These lines must be added to rc.local or somewhere in system 
initialization (as early as possible to prevent problems later)
Note that I specified ALL the serial ports, even the two standard
ones on the el-cheapo i/o & ide board as well as 0x3e8 and 0x2e8
which don't exist, just to avoid problems.  When I get another one
of these STB 4-COM boards, I plan on disabling both uarts on the
i/o board, assigning IRQ 4 to the first STB card and IRQ 3 to the
second one and thus gain back 3 IRQs for more productive use :)
(such as another SCSI HA and another parallel printer)
If STB comes up with a way to alter the base ports address (say to 100)
then I'd probably get another two of these cards also! (are you listening,
STB???)  In the meantime I might reverse-engineer the circuit and get 
out the ole soldering iron myself!

yan (yet another note) - you MUST use setserial-2.01 to pull this off.
I don't think the stock one allows specification of the uart which is
critical to making this whole thing work!
 
# now set up the serial ports  (put this in rc.local or wherever)
/etc/setserial -b /dev/cua0 uart 16450 port 0x3f8 irq 4
/etc/setserial -b /dev/cua1 uart 16450 port 0x2f8 irq 3
/etc/setserial -b /dev/cua2 uart 16450 port 0x3e8 irq 12
/etc/setserial -b /dev/cua3 uart 16450 port 0x2e8 irq 5
/etc/setserial -b /dev/cua4 uart 16550A port 0x1f8 irq 15
/etc/setserial -b /dev/cua5 uart 16550A port 0x1e8 irq 15
/etc/setserial -b /dev/cua6 uart 16550A port 0x2a8 irq 15
/etc/setserial -b /dev/cua7 uart 16550A port 0x1a8 irq 15

Note the last four ports at different addresses sharing the same IRQ.
        The key thing here is that only ONE of the IRQ blocks must
        be jumpered - in this case I chose B (Why? Just because.)
        On the P0 block (port IRQ Block select) which maps the physical
        ports to the proper IRQ block, set them all to the same one you
        chose - in my case B which is: down,up,down,up,down,up,down,up 
        Pictorially this looks like : 
                P4      --u-----
                P4      --d-----
                P2      ---ud---  <=== this one gets the IRQ (blockB)
                P1      ---d----
                P0      dudududu  <=== (blockB,blockB,blockB,blockB)
        ( - == no connect, u == top two pins on, d == bottom two pins on )

# and these are the results : (issue a /etc/setserial -a /dev/cua(n) 
#                               where (n) is the number of the port)
/dev/cua0, Line 0, UART: 16450, Port: 0x03f8, IRQ: 4
        Baud_base: 115200, close_delay: 50, divisor: 0
        Flags: spd_normal

/dev/cua1, Line 1, UART: 16450, Port: 0x02f8, IRQ: 3
        Baud_base: 115200, close_delay: 50, divisor: 0
        Flags: spd_normal

/dev/cua2, Line 2, UART: 16450, Port: 0x03e8, IRQ: 12
        Baud_base: 115200, close_delay: 50, divisor: 0
        Flags: spd_normal

/dev/cua3, Line 3, UART: 16450, Port: 0x02e8, IRQ: 5
        Baud_base: 115200, close_delay: 50, divisor: 0
        Flags: spd_normal

/dev/cua4, Line 4, UART: 16550A, Port: 0x01f8, IRQ: 15
        Baud_base: 115200, close_delay: 50, divisor: 0
        Flags: spd_normal

/dev/cua5, Line 5, UART: 16550A, Port: 0x01e8, IRQ: 15
        Baud_base: 115200, close_delay: 50, divisor: 0
        Flags: spd_normal

/dev/cua6, Line 6, UART: 16550A, Port: 0x02a8, IRQ: 15
        Baud_base: 115200, close_delay: 50, divisor: 0
        Flags: spd_normal

/dev/cua7, Line 7, UART: 16550A, Port: 0x01a8, IRQ: 15
        Baud_base: 115200, close_delay: 50, divisor: 0
        Flags: spd_normal

That's it!  It works great for me - have only run speeds up to
38400, so haven't played about with the hi_speed options and
cannot speak to them.  38400 is all my terminals and lines
will go to anyways.

This is a very reasonable 4-port solution requiring no driver
software additions.  I think you can get the board for about
$110.00 (us) - at least I did.  Some company was mentioned here
on the net as selling them.  If you need their phone number and
or address and exact price, leave me email here and I'll send it
to you -- don't want this to become a "home internet shopper's channel"
now do we!

Hope this is of help to those who, like myself, are "IRQ-challenged" 
                ;-)     Mark

--
================================================================================
Mark A. Horton                  |  Email: [email-masked] (soon) 
  Mark Horton Associates        |  Voice: +1 (404) 371 0291 (office)
    Strategic Planning          |    Fax: +1 (404) 371 0291 (office)
    Performance Tuning          |   Data: +1 (404) 378 7046 (Linux bbs)
"The opinions expressed here    |  Snail: P.O.Box 747, Decatur, GA US 30031-0747
DO represent those of myself."  |   ICBM: 33 45 N / 084 16 W
                                | Cruise: 33 45 30 N / 084 16 50 W
================================================================================
        "We may note that, for the purposes of these experiments, the symbol 
        "=" has the meaning "may be confused with."
================================================================================

------------------------------

From: [email-masked] (Edwin Ramirez)
Subject: Linux and CAP
Date: 25 Sep 93 20:23:22 GMT

Hello all,

        I was wondering if anyone had considered porting the Columbia AppleTalk
package over to Linux.  Are there any reasons why this can not be done?  

Thanks in advance
Edwin Ramirez

------------------------------

From: [email-masked] (Marc WANDSCHNEIDER)
Crossposted-To: comp.os.386bsd.questions,comp.os.linux.help
Subject: Re: NetBSD, FreeBSD or Linux on IBM AMBRA platform?
Date: 25 Sep 1993 20:24:44 GMT

In article <[email-masked]>,
David W. Smith <[email-masked]> wrote:
>
>I've just recently read about the new IBM company called AMBRA.  They
>are manufacturing some new machines based on an IBM manufactured Intel
>processor called the 486 Blue Lighting.  I believe they also produce a
>machine with a model number D466E/VL with is an Intel 486DX2 66
>EISA/VESA LB system.
>
>Now the my question -- Does any one know or have tried to get NetBSD,
>FreeBSD, or Linux running on this machine?  I am interested in two of

        These systems seem to be put together with generic parts,
        which means that they should work fine with any of
        the above operating systems.

        However, based on what I have seen and read about these machines,
        they are best avoided.

        The company has been continually blasted for it's sleazy
        marketing practices.  They were advertising their Blue Ligtning
        systems from mid-August on,and were promising
        five day delivery times.  However, Blue Lightning Motherboards weren't
        shipping until something like setp 22.  The average wait
        on their machines was about 3 weeks or so.

        On top of that, from what I recall, the BL 66Mhz chips
        don't have the FP unit, and have horrible memory performance.

        I'd recomend a Dell o a Gateway.  Dell has been doign
        some massive price cutting of late, and Gateway always has good deals.

                                                Marc 'em.

-- 
============================================================================
Marc Wandschneider                                          Seattle, WA
        "Satan has a stranglehold on my toilet and he won't let go!"
                           - frm the Weekly World News

------------------------------

From: [email-masked] (Jim Graham)
Subject: Re: WordProcessor (~=TEX) for Linux
Date: Sat, 25 Sep 1993 14:18:35 GMT
Reply-To: [email-masked]

Note the Reply-To address (and the corresponding note in my .signature)!
This is temporary, but for the next week or so, it's important.

In article <[email-masked]> [email-masked]
(Steef S.G. de Bruijn) writes:
>In article <[email-masked]>, [email-masked]
>(Jesper Honig Spring) writes:

>> Does anyone know of a wordprocessor (besides TEX, if one might call it
>> a wordprocessor)

>TeX isn't a wordprocessor, it's a TYPESETTER, and a very good one!

No argument there, but if we go by the original post, the question was not
regarding TeX, but TEX (different spelling and pronunciation).  If you
look in chapter 1 of ``The TeXbook'', you'll find the following tidbit
from DEK:  ``In fact, TEX (pronounced tecks) is the admirable Text
EXecutive processor developed by Honeywell Information Systems.''  So TEX
is, in fact, a word processor (unless I've misunderstood what DEK meant).
TeX, of course, is not.

   --jim

PS:  :-) :-) :-) :-) :-) :-) 

--
#include <std_disclaimer.h>                                  73 DE N5IAL (/4)
=========================< Running Linux 0.99 PL10 >==========================
*** E-mail to me from now until roughly 2 Oct.:  [email-masked] ***
AMATEUR RADIO:  (packet station temporarily offline)       AMTOR SELCAL: NIAL
internet: [email-masked]  |  [email-masked]     ICBM: 30.23N 86.32W
==============================================================================
E-mail me for information about KAMterm (host mode for Kantronics TNCs).

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    tupac-amaru.informatik.rwth-aachen.de	pub/msdos/replace

The current version of Linux is 0.99pl9 released on April 23, 1993

End of Linux-Activists Digest
******************************